MetalIconFactory.FileIcon16 (Java SE 10 & JDK 10 )
Keywords: javax.swing.plaf.metal.MetalIconFactory.FileIcon16 class

Module java.desktop
Package javax.swing.plaf.metal

## Class MetalIconFactory.FileIcon16

- java.lang.Object
- - javax.swing.plaf.metal.MetalIconFactory.FileIcon16

- All Implemented Interfaces:
    `Serializable`, `Icon`
  Direct Known Subclasses:
    `MetalIconFactory.TreeLeafIcon`
  Enclosing class:
    MetalIconFactory

      public static class MetalIconFactory.FileIcon16
      extends Object
      implements Icon, Serializable

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileIcon16()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAdditionalHeight()` | Returns an additional height of the icon.
    `int` | `getShift()` | Returns a shift of the icon.

    - ### Methods declared in interface javax.swing.Icon

      `getIconHeight, getIconWidth, paintIcon`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileIcon16

          public FileIcon16()

  - ### Method Detail

    - #### getShift

          public int getShift()

      Returns a shift of the icon.
      Returns:
        a shift of the icon

    - #### getAdditionalHeight

          public int getAdditionalHeight()

      Returns an additional height of the icon.
      Returns:
        an additional height of the icon